///home/berryj/link/bin/genMethods "-g" "-t" "Edge*" "-h" "Sequence" "-r" "Collection<Edge*>" "-I" "LINK/basic/Sequence.h" "-I" "LINK/graph/Edge.h" "-d" "graph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Sequence.h>

#include <LINK/graph/Edge.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Edge* _Edge_;
typedef Sequence<Edge* > _Sequence_Edge__;
static Sequence<Edge* > s__Sequence_Edge__;

#define _Sequence_Edge__DATA(x) ((Sequence<Edge* >*) (EXTDATA(x)))
#define _Sequence_Edge__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Edge* > >::type))
#define _Sequence_Edge__ISNT_DATA(x) (!_Sequence_Edge__IS_DATA(x))

#define _Sequence_Edge__CXX_DATA(x) (*(Sequence<Edge* >*) (EXTDATA(VAL(x))))
#define _Sequence_Edge__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Edge* > >::type))
#define _Sequence_Edge__CXX_ISNT_DATA(x) (!_Sequence_Edge__CXX_IS_DATA(x))


PRIMITIVE STk_init__Sequence_Edge__()
{
	Wrapper<_Sequence_Edge__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Sequence_Edge__>::name, 
			Wrapper<Collection<Edge*> >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Edge_>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Edge_>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Edge_>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Sequence_Edge__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Sequence_Edge__Methods(void);

PRIMITIVE STk_init_methods__Sequence_Edge__()
{
	genExtra_Sequence_Edge__Methods();
	return UNDEFINED;
}
